# switchSubscriptionPlan

### Arguments

| Argument                                                                                                     | Description                           |
| ------------------------------------------------------------------------------------------------------------ | ------------------------------------- |
| input ([SwitchSubscriptionPlanInput](/graphql-api/api-reference/objects/switch-subscription-plan-input.md)!) | Parameters for SwitchSubscriptionPlan |

### SwitchSubscriptionPlanInput Arguments

| Argument                                                            | Description                                                                                                                                            |
| ------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)    | The subscription the new plan should be assigned to.                                                                                                   |
| planId ([ID](/graphql-api/api-reference/objects/id.md)!)            | The new plan the subscription should be switched to.                                                                                                   |
| successUrl ([String](/graphql-api/api-reference/objects/string.md)) | An optional URL to redirect the customer to after successful payment. If not specified, default Firmhouse page will be used.                           |
| failureUrl ([String](/graphql-api/api-reference/objects/string.md)) | An optional URL to redirect the customer to if the offer is accessed after its expiration time. If not specified, default Firmhouse page will be used. |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!])

#### offer ([Offer](/graphql-api/api-reference/objects/offer.md))

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md)!)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/switch-subscription-plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
